You are not logged in.

#1 2018-11-14 22:00:53

BleedingEdgeHuh?
Member
Registered: 2018-11-14
Posts: 3

[REQ Update] Variety | AUR & Rolling packages out of date

Latest is here and almost a month old: https://github.com/varietywalls/variety … /tag/0.7.1
Bug fixes a few issues introduced from python changes from 6.9 to 7.0, notably it fixes quotes not been saveable to favorites.

Should i bother making a pkgbuild for it or nah since it already exists and is out of date in both ecosystems?

Last edited by BleedingEdgeHuh? (2018-11-14 22:06:48)

Offline

#2 2018-11-14 22:05:10

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,533

Re: [REQ Update] Variety | AUR & Rolling packages out of date

Instead of complaining about it on the forums, why don't you, like, flag the package as out-of-date? It's entirely possible, and in fact probable, that the maintainer simply didn't realize there's a new version...

Last edited by eschwartz (2018-11-14 22:10:16)


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#3 2018-11-14 22:07:20

BleedingEdgeHuh?
Member
Registered: 2018-11-14
Posts: 3

Re: [REQ Update] Variety | AUR & Rolling packages out of date

Sorry, never done this before.

How do i do that!
/e: nvm figured it out, that was easy!

Last edited by BleedingEdgeHuh? (2018-11-14 22:11:53)

Offline

#4 2018-11-14 22:08:40

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,676

Re: [REQ Update] Variety | AUR & Rolling packages out of date

The AUR package is a git package and hence will always download the latest commit, the pkgver in the AUR has no meaning beyond a information on when the last change to the PKGBUILD was.

The repo package has not been marked as outdated yet, you could do so as a first step. If you want to help beyond that, grab the PKGBUILD and see if any other changes other than bumping the pkgver are required, in which case you might want to contact the maintainer with an updated PKGBUILD.

Edit: Every package's page on the website has a report as outdated link in the top right box.

Last edited by V1del (2018-11-14 22:10:02)

Offline

#5 2018-11-14 22:11:19

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,533

Re: [REQ Update] Variety | AUR & Rolling packages out of date

BleedingEdgeHuh? wrote:

Sorry, never done this before.

How do i do that!

https://www.archlinux.org/packages/comm … y/variety/

There's a link under Package Actions, to "Flag Package Out-of-Date".


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#6 2018-11-14 22:18:53

BleedingEdgeHuh?
Member
Registered: 2018-11-14
Posts: 3

Re: [REQ Update] Variety | AUR & Rolling packages out of date

Thank you for the assistance!

That is great to know about the AUR variant!

Offline

Board footer

Powered by FluxBB